Entur Developer
Seating manager

capacities-controller


Get seat reservations for a seating offer.

GET
https://api.entur.io/seating-manager
/v1-beta/seats/{datedServiceJourneyId}/reservations

Get seat reservations for stations in a seating offer.

Get seat reservations for a seating offer. › path Parameters

datedServiceJourneyId
​string · required · style: simple

Id of dated service journey

Get seat reservations for a seating offer. › query Parameters

origin
​string · required · style: form · explode: true

Nsr code for first station

destination
​string · required · style: form · explode: true

Nsr code for last station

Get seat reservations for a seating offer. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get seat reservations for a seating offer. › Responses

200

OK

Seat reservations for a seat offer.
status
​string · required

Status of the seat offer.

Example: ACTIVE
​SeatsReservationsSeatResponseV1[] · required

Get seat occupancy for a seating offer.

GET
https://api.entur.io/seating-manager
/v1-beta/seats/{datedServiceJourneyId}/occupancies

Get seat occupancy for stations in a seating offer.For each station between the origin and destination station, the following information is given:availability: AVAILABLE or OCCUPIED.boarding:true if a new passenger will occupy the seat on tis station.alighting:true if a passenger will vacate the seat on this station.

Get seat occupancy for a seating offer. › path Parameters

datedServiceJourneyId
​string · required · style: simple

Id of dated service journey

Get seat occupancy for a seating offer. › query Parameters

origin
​string · required · style: form · explode: true

Nsr code for first station

destination
​string · required · style: form · explode: true

Nsr code for last station

Get seat occupancy for a seating offer. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get seat occupancy for a seating offer. › Responses

200

OK

Occupancy status for seats in seat offer separated by elements.

Fetch available seats on a departure

GET
https://api.entur.io/seating-manager
/v1-beta/seats/{datedServiceJourneyId}/available

The response contains seats that are available for reservation, grouped by their element and compartment (if applicable). If the departure has no available seats or is otherwise unavailable for reservation, an empty list is returned.

Fetch available seats on a departure › path Parameters

datedServiceJourneyId
​string · required · style: simple

The datedServiceJourney the available seats will be fetched for.

Fetch available seats on a departure › query Parameters

origin
​string · required · style: form · explode: true

The origin of the capacity query.

destination
​string · required · style: form · explode: true

The destination of the capacity query.

Fetch available seats on a departure › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Fetch available seats on a departure › Responses

200

OK

Element (e.g. train carriage) with available seats and/or compartments.
carriageIdentifier
​string · required

Carriage number of the element.

Example: 1
​AvailableCompartmentResponse[] · required

Available compartments in element.

​AvailableSeatResponse[] · required

Available single seats in element. These are seats that are not part of a compartment.


Get seats and seat status for a seating offer.

GET
https://api.entur.io/seating-manager
/v1-beta/seats/{datedServiceJourneyId}/availabilities

Get seat information for all seats in a seating offer. The information includes seat properties and information about the corresponding carriage.Each seat will classified AVAILABLE or OCCUPIED. To be classified as AVAILABLE, the seat must be available for reservation on the entire distance between the origin and destination station.

Get seats and seat status for a seating offer. › path Parameters

datedServiceJourneyId
​string · required · style: simple

Id of dated service journey

Get seats and seat status for a seating offer. › query Parameters

origin
​string · required · style: form · explode: true

Nsr code for first station

destination
​string · required · style: form · explode: true

Nsr code for last station

Get seats and seat status for a seating offer. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get seats and seat status for a seating offer. › Responses

200

OK

Seat availabilities for a seat offer.
status
​string · required

Status of the seat offer.

Example: ACTIVE

Did you find what you were looking for?